# $Revision: 1.22 $, $Date: 2008/10/03 17:57:18 $
Summary:	Python bindings for GtkGLExt library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GtkGLExt
Name:		python-pygtkglext
Version:	1.1.0
Release:	4
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/gtkglext/pygtkglext-%{version}.tar.bz2
# Source0-md5:	720b421d3b8514a40189b285dd91de57
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	gtkglext-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-pygtk-devel >= 2:2.6.0
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-pygtk-gtk >= 2:2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
PyGtkGLExt is Python language bindings for GtkGLExt, OpenGL Extension
to GTK.

%description -l pl.UTF-8
PyGtkGLExt to wiązania języka Python do GtkGLExt - rozszerzenia OpenGL
dla GTK.

%package devel
Summary:	Development files for Python bindings for GtkGLExt
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do GtkGLExt
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-devel >= 2:2.6.0

%description devel
Development files for Python bindings for GtkGLExt.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do GtkGLExt.

%package examples
Summary:	Example programs for PyGtkGLExt
Summary(pl.UTF-8):	Przykładowe programy do PyGtkGLExt
Group:		Development/Languages/Python

%description examples
Example programs for PyGtkGLExt.

%description examples -l pl.UTF-8
Przykładowe programy do PyGtkGLExt.

%prep
%setup -q -n pygtkglext-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir}

cp examples/*.{png,py} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/gtk/g[dt]kgl/*.{la,py}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%dir %{py_sitedir}/gtk-2.0/gtk/gdkgl
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/gdkgl/_gdkgl.so
%{py_sitedir}/gtk-2.0/gtk/gdkgl/__init__.py[co]
%{py_sitedir}/gtk-2.0/gtk/gdkgl/ext.py[co]
%dir %{py_sitedir}/gtk-2.0/gtk/gtkgl
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/gtkgl/_gtkgl.so
%{py_sitedir}/gtk-2.0/gtk/gtkgl/__init__.py[co]
%{py_sitedir}/gtk-2.0/gtk/gtkgl/apputils.py[co]
%{py_sitedir}/gtk-2.0/gtk/gtkgl/widget.py[co]

%files devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/gdkglext*.defs
%{_datadir}/pygtk/2.0/defs/gtkglext*.defs
%{_pkgconfigdir}/pygtkglext-1.0.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygtkglext.spec,v $
Revision 1.22  2008/10/03 17:57:18  arekm
- release 4

Revision 1.21  2008-05-07 18:24:37  qboosh
- BR: rpm-pythonprov

Revision 1.20  2008-04-15 21:35:36  qboosh
- release 3

Revision 1.19  2008-04-15 21:35:20  qboosh
- more verbose files
- killed duplicates: pygtk defs in -devel only

Revision 1.18  2007/09/03 15:44:31  qboosh
- cleanup

Revision 1.17  2007/09/03 12:44:12  megabajt
- updated deps
- added examples subpackage

Revision 1.16  2007/09/02 21:32:37  aflinta
- make it finally working (thx Megabajt), rel 2

Revision 1.15  2007/05/19 21:07:55  aflinta
- up to 1.1.0

Revision 1.14  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.12  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.11  2006/04/02 20:57:09  qboosh
- use py_sitescriptdir macro

Revision 1.10  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.9  2004/12/25 16:00:08  saq
- release 4 for rebuild with python 2.4

Revision 1.8  2004/11/14 22:26:03  havner
- fixed %files
- rel 3

Revision 1.7  2004/11/14 21:47:48  havner
- rel up for rebuild with python-pygtk

Revision 1.6  2004/07/28 08:03:17  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.5  2004/01/20 23:15:54  qboosh
- refresh config.sub for amd64

Revision 1.4  2003/11/21 03:25:42  wrobell
- ver. 1.0.1

Revision 1.3  2003/10/07 22:29:45  qboosh
- 1.0.0

Revision 1.2  2003/09/02 22:37:11  qboosh
- 0.99.1

Revision 1.1  2003/08/09 18:48:08  qboosh
- new
